﻿$ErrorActionPreference = 'Stop'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
    packageName    = $env:ChocolateyPackageName
    unzipLocation  = $toolsDir
    url            = 'https://cache.agilebits.com/dist/1P/op2/pkg/v2.19.0/op_windows_386_v2.19.0.zip'
    url64          = 'https://cache.agilebits.com/dist/1P/op2/pkg/v2.19.0/op_windows_amd64_v2.19.0.zip'

    checksum       = 'efc1f9b6516589b3782af1b39fb9f992965692769468fec4c3ae7255e9bee2cb'
    checksumType   = 'SHA256'
    checksum64     = '794c47c969781b28e0a4e7d8d76b67e895c1508d8cb4f561ffd51b991048b054'
    checksumType64 = 'SHA256'
}

Install-ChocolateyZipPackage @packageArgs

